tcllib (2.0+dfsg-2) unstable; urgency=medium

  * Fix FTBFS when building only the architecture dependent package.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 Nov 2024 20:36:17 +0300

tcllib (2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch orig version mangling.
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 Nov 2024 12:20:51 +0300

tcllib (1.21+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch orig version mangling.
  * Make tcllib multi-arch foreign.
  * Remove no longer used lintian override.
  * Bump the standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 10 May 2022 11:44:23 +0300

tcllib (1.20+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/copyright format.
  * Bump the debhelper compatibility level to 12.
  * Bump the standards version to 4.4.1.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 10 Dec 2019 12:27:16 +0300

tcllib (1.19-dfsg-2) unstable; urgency=medium

  * Fix a bug in the dependencies on iproute and freebsd-net-tools for
    tcllib which is architecture all, so they can't be different for
    different architectures.
  * Override a lintian error about dependency on hurd since it's just a way
    of representing empty dependency on hurd retaining hard dependency on
    other architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 20 Feb 2018 21:42:47 +0300

tcllib (1.19-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Replace the arp and ifconfig calls by parsing /proc/net/arp and calling
    ip address show (for Linux only) in the nettool module because of the
    changes in the ifconfig output.
  * Add iproute2 to the dependencies list for nettool and uuid modules (for
    Linux).
  * Add freebsd-net-tools to the dependencies list for nettool module (for
    GNU/kFreeBSD).
  * Bump the debhelper compatibility level to 10.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 20 Feb 2018 09:14:28 +0300

tcllib (1.18-dfsg-3) unstable; urgency=medium

  * Fixed the nettool module which executes arp and ifconfig and can't find
    them if /usr/sbin and /sbin aren't in the user's PATH (closes: #822293).
  * Removed empty directory /usr/lib/tcltk from the tcllib binary package.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 Apr 2016 17:43:19 +0300

tcllib (1.18-dfsg-2) unstable; urgency=medium

  * Fixed FTBFS for GNU/kFreeBSD architectures because of buggy library
    placement.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 06 Apr 2016 22:49:28 +0300

tcllib (1.18-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Added a new optional tcllib-critcl package with some CPU-intensive
    code written in C and built with critcl.
  * Extended debian/copyright to show the copyright holders for all
    individual code files.
  * Bumped the standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 Mar 2016 13:32:20 +0300

tcllib (1.17-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Added new modules to the long package description.
  * Removed a patch which fixes <textarea/> elements in the html module
    because it is applied upstream.
  * Bumped the standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 23 May 2015 09:35:43 +0300

tcllib (1.16-dfsg-2) unstable; urgency=medium

  * Added a patch from upstream which fixes an XSS vulnerability in
    the html module for <textarea/> elements (closes: #780100).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 09 Mar 2015 15:12:05 +0300

tcllib (1.16-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added description of new modues to debian/control.
  * Changed the upstream package homepage.
  * Overridden lintian warnings on ancient autotools helpers because they
    aren't used during the package build.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 12 Feb 2014 13:14:23 +0400

tcllib (1.15-dfsg-2) unstable; urgency=low

  * Switched to 3.0 (quilt) source package format.
  * Bumped standards version to 3.9.4.
  * Use debhelper 8.9.7 features in debian/rules and updated the build
    dependency accordingly.
  * Removed unecessary patch of Makefile.in (closes: #702520).
  * Renamed manpages which conflict with ones from the tcl8.6-doc and
    tcl-memchan packages (closes: #700501, #702502, #704641).
  * Removed incorrect install-stamp.gz from the binary package
    (closes: #700503).
  * Removed unnecessary patch which fixed whatis entries.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 11 May 2013 18:48:26 +0400

tcllib (1.15-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Removed patch for inifile module.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 06 Feb 2013 23:06:05 +0400

tcllib (1.14-dfsg-3) unstable; urgency=low

  * Added a patch which fixes ::ini::commit procedure in the inifile module.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 Jun 2012 16:53:47 +0400

tcllib (1.14-dfsg-2) unstable; urgency=low

  * Renamed try(3tcl) manpage into try(3tcllib) to avoid conflict with
    the tcl8.6-doc package (closes: #672815).
  * Removed Chris Waters from the uploaders list (closes: #664114).
  * Removed HTML doc for no longer existing exif module (closes: #637301).
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 May 2012 10:23:37 +0400

tcllib (1.14-dfsg-1) unstable; urgency=low

  * New upstream release with several new modules.
  * Bumped standards version to 3.9.2.
  * Added build-arch and build-indep rules to debian/rules.
  * Fixed manpage section in a few manpages.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Dec 2011 23:18:12 +0400

tcllib (1.13-dfsg-1) unstable; urgency=low

  * New upstream release with several new modules.
  * Added ${misc:Depends} variable to debian/config.
  * Bumped standards version to 3.9.1.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2011 22:36:32 +0300

tcllib (1.12-dfsg-2) unstable; urgency=low

  * Renamed msgcat.3tcl manpage to doctools_msgcat.3tcl to avoid conflict
    with tcl8.X-doc packages (closes: #560819).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 12 Dec 2009 17:41:19 +0300

tcllib (1.12-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added README.source file wich explains how to get patched source tree from
    the original tarball and set of patches in debian/patches.
  * Fixed whatis entries in manpages for the older versions of struct::graph,
    struct::matrix and struct::tree packages, and section for the
    simulation::random package.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Dec 2009 11:24:09 +0300

tcllib (1.11.1-dfsg-2) unstable; urgency=low

  * Use Sourceforge redirector in uscan control file debian/watch.
  * Renamed random.3tcl manpage to random.3tcllib to prevent conflict with
    the random manpage in libmemchan-tcl package.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Mar 2009 17:55:04 +0300

tcllib (1.11.1-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Mangled debian version in uscan control file.
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 21 Dec 2008 12:23:04 +0300

tcllib (1.10-dfsg-3) unstable; urgency=low

  * Protected quilt invocation in debian/rules to make it possible to convert
    bwidget source package to 3.0 (quilt) format (closes: #484924).
  * Cleaned up debian/rules.
  * Bumped standards version to 3.7.3.
  * Removed empty /usr/lib directory from the binary tcllib package.
  * Removed extra leading spaces and changed section name to Programming in
    doc-base register file.
  * Fixed copyright statement in debian/copyright.
  * Removed linda override file.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Jun 2008 15:00:19 +0400

tcllib (1.10-dfsg-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed ::blowfish::blowfish option processing if -dir isn't specified
    directly.
  * Adapted the package to Debian Tcl/Tk policy. This includes moving the Tcl
    modules into a subdirectory of /usr/share/tcltk and switching to default
    tcl package in dependencies.
  * Bumped debhelper compatibility level to 5.

  [ Francesco Paolo Lovergine ]
  * Added Homepage field in debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Nov 2007 19:58:17 +0300

tcllib (1.10-dfsg-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New upstream release.
  * Added Sergei Golovan to uploaders.
  * Fixed bug with registering Tcllib documentation in doc-base.
  * Added uscan control file debian/watch.
  * Removed patch which added asynchronous TCP connect to dns module since it
    is included into upstream distribution.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 16 Sep 2007 13:05:26 +0400

tcllib (1.9.dfsg1-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New maintainer Tcl/Tk Debian Packagers.
  * New upstream release (closes: #391548).
  * Removed patch from JPEG module as it is no longer needed.
  * Fixed cleanup after build.
  * Use quilt to manage patches.
  * Removed non-free RFSs from upstream source (closes: #393415).
  * Added get-orig-source target to debian/rules.
  * Fixed sections inside manual pages.
  * Fixed manpage sections in HTML documentation.
  * Added an index for HTML documentation.
  * Register HTML documentation in doc-base.
  * Moved scripts from /usr/lib to /usr/share as required by Debian
    Policy, leaving symlink in /usr/lib.
  * Added asynchronous TCP connect to dns module (see
    http://sourceforge.net/tracker/index.php?func=detail&aid=1610330&group_id=12883&atid=312883).
  * Overridden linda false positive about uncompressed changelog.
  * Bumped standards version to 3.7.2.

 -- Chris Waters <xtifr@debian.org>  Wed, 31 Jan 2007 22:40:33 -0800

tcllib (1.8-1) unstable; urgency=low

  * New upstream release.
  * Mentioned various new(ish) modules in the package description.
  * Switched to using debhelper v4.
  * Applied patch from Victor Wagner to prevent data corruption when
    removing comments from JPEG files (closes: #343470).

 -- Chris Waters <xtifr@debian.org>  Sun,  7 May 2006 02:15:04 -0700

tcllib (1.7-1) unstable; urgency=low

  * New upstream release (closes: #300805).
  * Patched Makefile.in so that the new "app" script, dtplite, gets
    installed relative to $DESTDIR (a detail that was apparently
    overlooked upstream).
  * Added code to debian/rules to set the file permissions properly, since
    upstream installer doesn't do so.

 -- Chris Waters <xtifr@debian.org>  Tue, 11 Oct 2005 20:02:59 -0700

tcllib (1.6.1-1) unstable; urgency=low

  * New upstream release (bugfix point release).
  * Fixed typo in package description (closes: #194724).
  * Now installs the mpexpand script (closes: #221529).

 -- Chris Waters <xtifr@debian.org>  Thu, 27 May 2004 15:34:48 -0700

tcllib (1.6-1) unstable; urgency=low

  * New upstream release (closes: #238090).

 -- Chris Waters <xtifr@debian.org>  Tue, 23 Mar 2004 16:41:37 -0800

tcllib (1.4-1) unstable; urgency=low

  * New upstream release, fixes broken man pages (closes: #149437).
  * Changed build-deps, needs newer tcl to build.
  * Installed html docs in more sensible place (closes: #175723).
  * Removed some odd files (format/formatter man pages and a "stat"
    subdirectory) that came from some unknown place, and don't seem to be
    supported.  With any luck, they also aren't needed. (I'm sure I'll
    hear from someone if I'm wrong about this.:)

 -- Chris Waters <xtifr@debian.org>  Sun, 11 May 2003 23:35:03 -0700

tcllib (1.3-2) unstable; urgency=low

  * New maintainer.

 -- Chris Waters <xtifr@debian.org>  Sat, 12 Oct 2002 22:42:13 -0700

tcllib (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Mike Markley <mike@markley.org>  Sat, 22 Jun 2002 01:21:06 -0700

tcllib (1.2-1) unstable; urgency=low

  * New upstream release.
  * Added tcl8.3 | tclsh to build-deps (Closes: #134905)

 -- Mike Markley <mike@markley.org>  Fri, 22 Feb 2002 02:55:08 -0800

tcllib (1.1-1) unstable; urgency=low

  * New upstream release.
  * Added description notes for comm and control modules

 -- Mike Markley <mike@markley.org>  Mon,  3 Dec 2001 23:05:36 -0800

tcllib (1.0-1) unstable; urgency=low

  * New upstream release.

 -- Mike Markley <mike@markley.org>  Tue, 16 Oct 2001 00:02:44 -0700

tcllib (0.8-1) unstable; urgency=low

  * New upstream release (Closes: #96064)

 -- Mike Markley <mike@markley.org>  Fri, 15 Jun 2001 20:49:16 -0700

tcllib (0.3-2) unstable; urgency=low

  * New maintainer.

 -- Mike Markley <mike@markley.org>  Fri, 25 Aug 2000 19:06:37 -0700

tcllib (0.3-1) unstable; urgency=low

  * Initial packaging.

 -- David Engel <david@debian.org>  Sat,  8 Apr 2000 21:28:50 -0500

